
This patch fixes a bug on hubs which causes remote unxlines and 
remote unresvs passing through the server to other ratbox servers to get
dropped.

To apply this diff:
  cd SRC/modules
  patch -p1 < ircd-ratbox-2.0.8+unxr.diff
  make
  make install

Then via irc:
  /quote modrestart

Index: modules/m_resv.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_resv.c,v
retrieving revision 1.61.2.3
diff -u -r1.61.2.3 m_resv.c
--- modules/m_resv.c	4 Dec 2004 21:28:50 -0000	1.61.2.3
+++ modules/m_resv.c	5 Apr 2005 01:35:13 -0000
@@ -405,7 +405,7 @@
 	/* parv[0]  parv[1]        parv[2]
 	 * oper     target server  resv to remove
 	 */
-	propagate_generic(source_p, "UNRESV", parv[3], CAP_CLUSTER,
+	propagate_generic(source_p, "UNRESV", parv[1], CAP_CLUSTER,
 			"%s", parv[2]);
 
 	if(!match(me.name, parv[1]))
Index: modules/m_xline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_xline.c,v
retrieving revision 1.52.2.8
diff -u -r1.52.2.8 m_xline.c
--- modules/m_xline.c	14 Jan 2005 22:10:40 -0000	1.52.2.8
+++ modules/m_xline.c	5 Apr 2005 01:35:13 -0000
@@ -494,7 +494,7 @@
 	/* parv[0]  parv[1]        parv[2]
 	 * oper     target server  gecos
 	 */
-	propagate_generic(source_p, "UNXLINE", parv[3], CAP_CLUSTER,
+	propagate_generic(source_p, "UNXLINE", parv[1], CAP_CLUSTER,
 			"%s", parv[2]);
 
 	if(!match(parv[1], me.name))
